Game servers
GET https://uptimeape.com/api/game-servers/
curl --request GET \
--url 'https://uptimeape.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeape.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Qual campo você está pesquisando? Os valores permitidos são: name , target , port. |
| is_enabled | Opcional Boolean | |
| type | Opcional String | Valores permitidos: minecraft , cs1.6 , cscz , css , csgo , cs2 |
| project_id | Opcional Inteiro | |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: game_server_id , last_datetime , datetime , last_check_datetime , total_checks , name , uptime , average_response_time , average_online_players , online_players , maximum_online_players. |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente. |
| page | Opcional Inteiro | O número da página de onde você deseja os resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-05-31 11:48:06",
"next_check_datetime": "2026-06-01 11:48:06",
"is_enabled": true,
"datetime": "2026-05-31 11:48:06",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimeape.com/api/game-servers?page=1",
"last": "https://uptimeape.com/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://uptimeape.com/api/game-servers?page=1"
}
}
GET https://uptimeape.com/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-05-31 11:48:06",
"next_check_datetime": "2026-06-01 11:48:06",
"is_enabled": true,
"datetime": "2026-05-31 11:48:06",
}
}
POST https://uptimeape.com/api/game-servers
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Requerido String | - |
| target | Requerido String | - |
| port | Opcional String | - |
| type | Opcional String | Valores permitidos: minecraft , cs1.6 , cscz , css , csgo , cs2 |
| project_id | Opcional Inteiro | - |
| check_interval_seconds | Opcional Inteiro | Valores permitidos: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (segundos) |
| timeout_seconds | Opcional Inteiro | Valores permitidos: 1, 2, 3, 5, 10, 25 (segundos) |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://uptimeape.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://uptimeape.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://uptimeape.com/api/game-servers/{game_server_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional String | - |
| target | Opcional String | - |
| port | Opcional String | - |
| type | Opcional String | Valores permitidos: minecraft , cs1.6 , cscz , css , csgo , cs2 |
| project_id | Opcional Inteiro | - |
| check_interval_seconds | Opcional Inteiro | Valores permitidos: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (segundos) |
| timeout_seconds | Opcional Inteiro | Valores permitidos: 1, 2, 3, 5, 10, 25 (segundos) |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimeape.com/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeape.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \